package com.rjconsultores.ventaboletos.web.utilerias.menu.item.esquemaoperacional;

import org.zkoss.util.resource.Labels;

import com.rjconsultores.ventaboletos.constantes.ConstantesFuncionSistema;
import com.rjconsultores.ventaboletos.web.utilerias.PantallaUtileria;
import com.rjconsultores.ventaboletos.web.utilerias.menu.DefaultItemMenuSistema;

public class ItemMenuManutencaoFlexBus extends DefaultItemMenuSistema {
	
	public ItemMenuManutencaoFlexBus() {
		super("indexController.mniManutencaoFlexBus.label");
	}

	@Override
	public String getClaveMenu() {
		return ConstantesFuncionSistema.CLAVE_MANUTENCAO_FLEXBUS;
	}

	@Override
	public void ejecutar() {
		PantallaUtileria.openWindow("/gui/esquema_operacional/flexbus/busqueCorridaFlexBus.zul",
				Labels.getLabel("indexController.mniManutencaoFlexBus.label"), getArgs() ,desktop);
	}

}
